%define name xgngeo
%define longname XGngeo
%define version 16
%define rel 1
%define	distsuffix plf
%define release %mkrel %rel

Summary: %{longname} - NeoGeo Emulator Front-End
Name: %{name}
Version: %{version}
Release: %{release}
BuildRequires: pygtk2.0-devel
Requires: pygtk2.0
Requires: gngeo 
Source0: %{longname}-%{version}.tar.bz2
Source1: %{name}-16.png
Source2: %{name}-32.png
Source3: %{name}-48.png
Patch0: %{name}-%{version}-install-and-paths.patch
Group: Emulators
License: GPL
URL: http://www.choplair.org/?XGngeo
#or http://choplair.org/?fr/XGngeo
BuildArch: noarch
BuildRoot: %_tmppath/%{name}-build

%description
XGngeo is a front-end for GnGeo, a NeoGeo emulator for Linux.
It uses PyGTK as the GUI toolkit.

This package is in PLF because of Mandriva policy regarding emulators.

%prep
%setup -q -n %{longname}-%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT --record INSTALLED_FILES

#menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 needs="X11" \
 section="More Applications/Emulators" \
 title="%{longname}" \
 longtitle="%{summary}" \
 xdg="true"
EOF

desktop-file-install --vendor="" \
 --remove-category="Application" \
 --remove-category="Game" \
 --add-category="Emulator" \
 --add-category="X-MandrivaLinux-MoreApplications-Emulators" \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png	
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png	
install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png	


%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc CHANGES.txt README.txt doc/xgngeo-doc.pdf doc/xgngeo-doc.txt
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%changelog
* Tue Mar 27 2007 Guillaume Bedot <littletux@zarb.org> 16-1plf2007.1
- New release
- lots of installation changes
- some changes from CVS (thanks to Choplair!)

* Thu Jun 15 2006 Guillaume Bedot <littletux@zarb.org> 15-3plf2007.0
- standard mkrel
- XDG menu

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 15-2plf
- Reupload

* Mon Sep 19 2005 Guillaume Bedot <littletux@zarb.org> 15-1plf
- New release 15
- Updated multi-user / paths patch
- Use mkrel

* Mon Jan 31 2005 Guillaume Bedot <littletux@zarb.org> 14-2plf
- Updated patch patch and menu section.

* Mon Apr 19 2004 Guillaume Bedot <littletux@zarb.org> 14-1plf
- First package
